LibTest.cpp File Reference
`#include "stdinc.h"`
`#include "LibTest.h"`
`#include "tests.h"`
`#include <algorithm>`

Go to the source code of this file.

## Functions

Frobby::Ideal | toLibIdeal (const BigIdeal &ideal)
| Returns a library interface ideal that corresponds to the parameter ideal.
const mpz_t * | castLibArray (const vector< mpz_class > &vect)
| Returns a pointer to an array of mpt_t that represents the entries in the mpz_class.

## Function Documentation

## castLibArray()

const mpz_t * castLibArray | ( | const vector< mpz_class > & | vect | ) |

Returns a pointer to an array of mpt_t that represents the entries in the mpz_class.

The array is actually just the memory of the vector, so the life time of the array is until the vector deallocates or reallocates its array.

Definition at line 41 of file LibTest.cpp.

## toLibIdeal()

Frobby::Ideal toLibIdeal | ( | const BigIdeal & | ideal | ) |

Returns a library interface ideal that corresponds to the parameter ideal.

Definition at line 26 of file LibTest.cpp.